PHP Manual
Prev |  | Next

# DOMDocument->__construct()

(no version information, might be only in CVS)

DOMDocument->__construct() -- Creates a new DOMDocument object

## Description

class DOMDocument {
__construct ( [string version [, string encoding]] )
}

Creates a new DOMDocument object.

## Parameters

`version`

  The version number of the document as part of the XML declaration.

`encoding`

  The encoding of the document as part of the XML declaration.

## Examples

Example 1. Creating a new DOMDocument

`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?> */ ?>`

## See Also

DOMImplementation->createDocument()

Prev | Home | Next
DOMComment->__construct() | Up | DOMDocument->createAttribute()